Get Parameters of CRM Item Detail Configuration
Scope:
crmWho can execute the method: access rights during method execution depend on the provided data:
- Any user has the right to access their own and shared settings
- A user can access another user's settings only if they are an administrator
The method returns the settings of the detail form for a specific CRM entity. It can work with both personal settings of the specified user and shared settings defined for all users.
Note
- The settings for repeat lead detail forms may differ from those of simple lead detail forms. The parameter
extras.leadCustomerTypeis used to switch between lead detail form settings. - The settings for the CRM entity detail form may vary depending on their Sales Funnel. The parameters used for switching are:
extras.categoryId— for SPAsextras.dealCategoryId— for deals
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
entityTypeId* |
Identifier of the system or user-defined type of CRM entities |
|
userId |
Identifier of the user whose configuration you want to retrieve. If this parameter is not provided, the Required only when requesting personal settings |
|
scope |
Scope of the settings. Allowed values:
By default, the value is |
|
extras |
Additional parameters. Possible values and their structure are described below |
extras
The extras parameter depends on the CRM entity.
|
CRM Entity |
Name |
Description |
|
SPA |
|
Identifier of the SPA funnel. Can be obtained using If not specified, the default funnel identifier for this SPA will be used |
|
Deal |
|
Identifier of the deal funnel. Can be obtained using If not specified, the default funnel identifier for deals will be used |
|
Lead |
|
Type of leads. Possible values:
|
Code Examples
How to Use Examples in Documentation
-
Get the shared configuration of item details for deals in the funnel with
id = 9, for the user withid = 1cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"entityTypeId":2,"userId":1,"scope":"C","extras":{"dealCategoryId":9}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.item.details.configuration.getcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"entityTypeId":2,"userId":1,"scope":"C","extras":{"dealCategoryId":9},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.item.details.configuration.getBX24.callMethod( 'crm.item.details.configuration.get', { entityTypeId: 2, userId: 1, scope: "C", extras: { dealCategoryId: 9, }, }, (result) => { if (result.error()) { console.error(result.error()); return; } console.info(result.data()); }, );require_once('crest.php'); $result = CRest::call( 'crm.item.details.configuration.get', [ 'entityTypeId' => 2, 'userId' => 1, 'scope' => "C", 'extras' => [ 'dealCategoryId' => 9, ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Get the personal configuration of item details for the SPA with
entityTypeId = 1032in the funnel withid = 5cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"entityTypeId":1032,"extras":{"categoryId":5}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.item.details.configuration.getcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"entityTypeId":1032,"extras":{"categoryId":5},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.item.details.configuration.getBX24.callMethod( 'crm.item.details.configuration.get', { entityTypeId: 1032, extras: { categoryId: 5, }, }, (result) => { if (result.error()) { console.error(result.error()); return; } console.info(result.data()); }, );require_once('crest.php'); $result = CRest::call( 'crm.item.details.configuration.get', [ 'entityTypeId' => 1032, 'extras' => [ 'categoryId' => 5, ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>';
Response Handling
HTTP Status: 200
{
"result": [
{
"name": "main",
"title": "About the Deal",
"type": "section",
"elements": [
{
"name": "TITLE",
"optionFlags": "0"
},
{
"name": "STAGE_ID",
"optionFlags": "0"
},
{
"name": "OPPORTUNITY_WITH_CURRENCY",
"optionFlags": "0"
},
{
"name": "CLOSEDATE",
"optionFlags": "0"
},
{
"name": "CLIENT",
"optionFlags": "1",
"options": {
"defaultCountry": "US"
}
},
{
"name": "UF_CRM_1686898039656",
"optionFlags": "1"
}
]
},
{
"name": "additional",
"title": "Additional",
"type": "section",
"elements": [
{
"name": "TYPE_ID",
"optionFlags": "0"
},
{
"name": "SOURCE_ID",
"optionFlags": "0"
},
{
"name": "SOURCE_DESCRIPTION",
"optionFlags": "0"
},
{
"name": "BEGINDATE",
"optionFlags": "0"
},
{
"name": "OPENED",
"optionFlags": "0"
},
{
"name": "ASSIGNED_BY_ID",
"optionFlags": "0"
},
{
"name": "OBSERVER",
"optionFlags": "0"
},
{
"name": "COMMENTS",
"optionFlags": "0"
},
{
"name": "UTM",
"optionFlags": "0"
}
]
},
{
"name": "products",
"title": "Products",
"type": "section",
"elements": [
{
"name": "PRODUCT_ROW_SUMMARY",
"optionFlags": "0"
}
]
},
{
"name": "recurring",
"title": "Recurring Deal",
"type": "section",
"elements": [
{
"name": "RECURRING",
"optionFlags": "0"
}
]
}
],
"time": {
"start": 1720624891.017344,
"finish": 1720624891.405621,
"duration": 0.3882770538330078,
"processing": 0.02097320556640625,
"date_start": "2024-07-10T17:21:31+02:00",
"date_finish": "2024-07-10T17:21:31+02:00",
"operating": 0
}
}
Returned Data
|
Name |
Description |
|
result |
Root element of the response. Contains the configuration of the sections of the detail form. Returns |
|
time |
Information about the execution time of the request |
section
Describes an individual section with fields within the item detail form
|
Name |
Description |
|
name |
Unique name of the section used for identification |
|
title |
Title of the section |
|
type |
Type of the section |
|
elements |
List of fields displayed in the entity detail form with additional settings |
section_element
Configuration of an individual field within a section
|
Name |
Description |
|
name |
Identifier of the field |
|
optionFlags |
Values:
|
|
options |
Additional options for the field |
Error Handling
HTTP Status: 400
{
"error": "",
"error_description": "Parameter 'entityTypeId' is not defined"
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
Value |
|
Empty value |
Parameter 'entityTypeId' is not defined |
Required parameter |
|
Empty value |
The entity type ' |
The method does not support this entity type |
|
Empty value |
Access denied. |
The user does not have administrative rights |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not allowed to be called using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The methods must be called using the HTTPS protocol |
|
|
|
The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support |
|
|
|
The REST API is available only on commercial plans |
|
|
|
The user whose access token or webhook was used to call the method lacks permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Configuring Sections in the Detail Form of CRM Entities
- Set Parameters for CRM Item Card crm.item.details.configuration.set
- Reset Item Card Parameters crm.item.details.configuration.reset
- Set Common Detail for All Users crm.item.details.configuration.forceCommonScopeForAll